<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>org.apache.nutch.plugin (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<h1 class="bar"><a href="../../../../org/apache/nutch/plugin/package-summary.html" target="classFrame">org.apache.nutch.plugin</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="Pluggable.html" title="interface in org.apache.nutch.plugin" target="classFrame"><span class="interfaceName">Pluggable</span></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="Extension.html" title="class in org.apache.nutch.plugin" target="classFrame">Extension</a></li>
<li><a href="ExtensionPoint.html" title="class in org.apache.nutch.plugin" target="classFrame">ExtensionPoint</a></li>
<li><a href="Plugin.html" title="class in org.apache.nutch.plugin" target="classFrame">Plugin</a></li>
<li><a href="PluginClassLoader.html" title="class in org.apache.nutch.plugin" target="classFrame">PluginClassLoader</a></li>
<li><a href="PluginDescriptor.html" title="class in org.apache.nutch.plugin" target="classFrame">PluginDescriptor</a></li>
<li><a href="PluginManifestParser.html" title="class in org.apache.nutch.plugin" target="classFrame">PluginManifestParser</a></li>
<li><a href="PluginRepository.html" title="class in org.apache.nutch.plugin" target="classFrame">PluginRepository</a></li>
</ul>
<h2 title="Exceptions">Exceptions</h2>
<ul title="Exceptions">
<li><a href="CircularDependencyException.html" title="class in org.apache.nutch.plugin" target="classFrame">CircularDependencyException</a></li>
<li><a href="MissingDependencyException.html" title="class in org.apache.nutch.plugin" target="classFrame">MissingDependencyException</a></li>
<li><a href="PluginRuntimeException.html" title="class in org.apache.nutch.plugin" target="classFrame">PluginRuntimeException</a></li>
</ul>
</div>
</body>
</html>
